diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 46574d5e0..062d613f2 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -1079,6 +1079,12 @@ define('pgadmin.browser.node', [
         }
       },
       added: function(item, data) {
+        if (pgBrowser.tree.getData(item)._type.indexOf('coll-') !== -1){
+          setTimeout(function() {
+            let _item = pgAdmin.Browser.Nodes[pgBrowser.tree.getData(item).nodes[0]];
+            _item.clear_cache.apply(_item);
+          }, 0);
+        }
         pgBrowser.Events.trigger('pgadmin:browser:tree:expand-from-previous-tree-state',
           item);
         pgBrowser.Node.callbacks.change_server_background(item, data);
diff --git a/web/pgadmin/tools/import_export/static/js/import_export.js b/web/pgadmin/tools/import_export/static/js/import_export.js
index d31d4590d..b46626a10 100644
--- a/web/pgadmin/tools/import_export/static/js/import_export.js
+++ b/web/pgadmin/tools/import_export/static/js/import_export.js
@@ -64,7 +64,7 @@ define([
       return new ImportExportSchema(
         {
           encoding: ()=>getNodeAjaxOptions('get_encodings', pgBrowser.Nodes['database'], treeNodeInfo, itemNodeData, {cacheNode: 'database',cacheLevel: 'server'}),
-          columns: ()=>getNodeListByName('column', treeNodeInfo, itemNodeData, { cacheLevel: 'column'}, ()=>true, (res)=>{
+          columns: ()=>getNodeListByName('column', treeNodeInfo, itemNodeData, { cacheLevel: 'column', cacheNode: 'column'}, ()=>true, (res)=>{
             let columnsList = [];
             res.forEach(d => {
               columnsList.push({label: d.label, value: d.value, image:'icon-column', selected: true});
